GRUB-MKIMAGE(1)

NAVN
grub-mkimage - lag et bilde av GRUB som maskinen kan starte opp

OVERSIKT
grub-mkimage [VALG...] [VALG]... [MODULER]

BESKRIVELSE
Lag et bilde av GRUB som maskinen kan starte opp.

-c, --config=FIL
    legg inn valgt FIL som et tidlig oppsett

-C, --compression=(xz|none|auto)
    velg komprimeringsmetoden som skal brukes på kjernebildet

-d, --directory=MAPPE
    use images and modules under DIR [default=/usr/lib/grub/<platform>]

--disable-shim-lock
    disable shim_lock verifier

-D, --dtb=FIL
    bygg inn FIL som enhetstre (DTB)

-k, --pubkey=FIL
    bruk valgt FIL som offentlig nøkkel for signaturkontroll

-m,                              --memdisk=FIL
    embed FILE as a memdisk image

Implies `-p (memdisk)/boot/grub' and overrides

any prefix supplied previously, but the prefix
    itself can be overridden by later options

-n, --note
    legg til NOTE-segment for CHRP IEEE1275

-o, --output=FIL
    skriv ut et generert bilde til FIL (standard=stdout)

-O, --format=FORMAT
    lag et bilde i valgt FORMAT; tilgjengelige formater: i386-coreboot, i386-multiboot, i386-pc, i386-xen_pvh, i386-pc-pxe, i386-pc-eltorito, i386-efi, i386-ieee1275, i386-qemu, x86_64-efi, i386-xen, x86_64-xen, mipsel-yeeloong-flash, mipsel-fuloong2f-flash, mipsel-loongson-elf, powerpc-ieee1275, sparc64-ieee1275-raw, sparc64-ieee1275-cdcore, sparc64-ieee1275-aout, ia64-efi, mips-arc, mipsel-arc, mipsel-qemu_mips-elf, mips-qemu_mips-flash, mipsel-qemu_mips-flash, mips-qemu_mips-elf, arm-uboot, arm-coreboot-vexpress, arm-coreboot-veyron, arm-efi, arm64-efi, riscv32-efi, riscv64-efi

-p, --prefix=MAPPE
    velg prefiks-mappe

-s, --sbat=FIL
    SBAT metadata

-v, --verbose
    skriv ut detaljerte meldinger

-?, --help
    vis denne hjelpelista

--usage
    vis en kortfattet bruksanvisning

-V, --version
    skriv ut programversjon

Valg er enten obligatoriske både for fullstendige valg og tilsvarende forkortede valg.

RAPPORTERING AV FEIL
Rapporter feil til <bug-grub@gnu.org>.

SE OGSÅ
grub-install(8), grub-mkrescue(1), grub-mknetdir(8)

Den fullstendige dokumentasjonen for grub-mkimage opprettholdes som en Texinfo manual. Dersom info og grub-mkimage programmene er riktig installert på ditt sted burde kommandoen

    info grub-mkimage

gi deg tilgang til hele manualen.

OVERSETTELSE
Den norske oversettelsen av denne manualsiden er laget av

Denne oversettelsen er gratis dokumentasjon; se GNU General Public License versjon 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senere for opphavsrettsvilkår. Vi påtar oss INGEN ANSVAR.

Hvis du finner feil i oversettelsen av denne håndboksiden, vennligst send en e-post til <TODO>.